# 商家更新售后单

# 接口调用说明

  1. 接口强制校验来源IP
  2. 目前只支持更新退货地址字段, 并且只能在同意退货/平台判责/超时自动同意退货之前调用, 进入待用户退货状态后不能再调用(即如果售后单详情的return_id字段有值了, 就不能再更新退货地址了)
  3. 调用本接口更新退货地址,只会影响当前售后单, 不会影响其他售后单, 即使是同一个 sku 重新发起的售后单, 也不会受到之前售后单的影响
http请求方式:POST
https://api.weixin.qq.com/shop/ecaftersale/merchantupdate?access_token=xxxxxxxxx

# 请求参数示例

{
  "after_sales_order": {
    "aftersale_id":"sdsdf",
    "out_aftersale_id":"qw1234123",
    "return_address_info": {
      "receiver_name": "张三",
      "detailed_address": "详细收货地址信息",
      "tel_number": "收货人手机号码",
      "country": "国家",
      "province": "省份",
      "city": "城市",
      "town": "区县"
    }
  }
}

# 请求参数说明

字段 类型 是否必填 说明
aftersale_id number 微信侧售后单号
out_aftersale_id string 外部售后单号,和aftersale_id二选一
address_info.receiver_name string 收件人姓名
address_info.detailed_address string 详细收货地址信息
address_info.tel_number string 收件人电话
address_info.country string 国家
address_info.province string 省份
address_info.city string 城市
address_info.town string 区县

# 回包参数说明

参数 类型 说明
errcode number 错误码
errmsg string 错误信息